textures/q3mckinley/trimlight_blue
{
	qer_editorimage textures/q3mckinley/e6trim_lightblue.tga
	surfaceparm nomarks
	{
		map textures/q3mckinley/e6trim_lightblue.tga
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}

		
	{	
		map textures/q3mckinley/e6trim_lightblue_blend.tga
		blendfunc GL_one gl_one
		rgbgen wave sawtooth .6 .1 0 7
	}		
}

textures/q3mckinley/trimlight_red
{
	qer_editorimage textures/q3mckinley/e6trim_lightred.tga
	surfaceparm nomarks
	{
		map textures/q3mckinley/e6trim_lightred.tga
		rgbGen identity
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{	
		map textures/q3mckinley/e6trim_lightred_blend.tga
		blendfunc GL_one gl_one
		rgbgen wave sawtooth .6 .1 0 7
	}		
}

textures/q3mckinley/bluebase_billboard
{
	qer_editorimage textures/q3mckinley/bluescreen1.tga
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		animMap .25 textures/q3mckinley/bluescreen1.tga textures/q3mckinley/bluescreen2.tga
		rgbGen wave sawtooth 0 1 0 .25
	
	}
	{
		map textures/q3mckinley/blueline.tga
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
		tcmod scroll 5 .25 
	}
	{
		map textures/base_wall/comp3frame.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
	        blendfunc gl_dst_color gl_zero
		rgbgen identity
	}          		
}     

textures/q3mckinley/redbase_billboard
{
	qer_editorimage textures/q3mckinley/redscreen1.tga
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		animMap .25 textures/q3mckinley/redscreen1.tga textures/q3mckinley/redscreen2.tga
		rgbGen wave sawtooth 0 1 0 .25
	
	}
	{
		map textures/q3mckinley/redline.tga
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
		tcmod scroll 5 .25 
	}
	{
		map textures/base_wall/comp3frame.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
	        blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	          		
}   

textures/q3mckinley/ceilinglight
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/q3mckinley/techscreen_rg
{
    	qer_editorimage textures/q3mckinley/railgunscreen_back.tga
	cull disable
	surfaceparm nomarks
    	q3map_surfacelight 75
    	{
        	map textures/q3mckinley/railgunscreen_back.tga
	        blendfunc add
        	rgbGen identity
    	}
	{
		animMap .25 textures/q3mckinley/railgunscreen1.tga textures/q3mckinley/railgunscreen2.tga textures/q3mckinley/railgunscreen3.tga  textures/q3mckinley/railgunscreen4.tga
		blendfunc add
        	rgbGen identity
	
	}
	{
		map textures/q3mckinley/railgunscreen_noise.tga
		blendfunc add
	        rgbgen wave triangle .5 .05 0 10
		tcmod scroll 5 .25 
	}	
}

textures/evil6_floors/e6tekmtlrflr_h_full_slow
{
	qer_editorimage textures/evil6_floors/e6tekmtlrflr_h.tga
	{
		map textures/evil6_floors/e6tekmtlrflr_h.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/evil6_floors/e6tekmtlrflr_h_glow.tga
		rgbgen wave sin .5 .5 0 .2
		blendfunc add
	}
}

 
textures/q3mckinley/purectf_billboard
{
  	qer_editorimage textures/q3mckinley/purectf.tga
  	{
     		map textures/base_wall/chrome_env.tga
     		tcgen environment
     		tcmod scale .5 .5
     		rgbgen wave triangle .5 .05 0 10
  	}
  	{
     		map $lightmap
    		blendfunc filter
     		rgbgen identity
  	}
  	{
     		animMap .25 textures/q3mckinley/purectf.tga textures/q3mckinley/purectf2.tga
     		blendfunc add
     		rgbGen wave sawtooth 0 1 0 .25
  	}
  	{
     		map textures/q3mckinley/purenoise.tga
		blendfunc add
     		rgbgen wave triangle .5 .05 0 10
     		tcmod scroll 5 .25
  	}        
}  

textures/q3mckinley/electricfence
{
	cull none
	q3map_lightimage textures/sfx/tesla1b.tga	
	q3map_surfacelight 100
	qer_editorimage textures/base_trim/proto_fence.tga
	surfaceparm nolightmap
	nopicmip
	{
		map textures/sfx/electricslime2.tga
		blendfunc add
		rgbGen wave square .25 .25 0 2.5
		tcmod scale 1 1
		tcMod scroll 1 1
	}
	{
		map textures/sfx/tesla1b.tga
		blendfunc add
		rgbgen wave square 0 1 0 3
		tcmod scale 1 1
		tcMod scroll -2 1
	}
	{
		map textures/base_trim/proto_fence.tga
		tcMod scale 3 3
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}	
}

textures/q3mckinley/beam_red2
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
	cull none
	{
		map textures/q3mckinley/beam_red2.tga
                tcMod Scroll .3 0
                blendFunc add
        }
}

textures/q3mckinley/mckinleywater
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/liquids/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}

	{ 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}	

}

textures/q3mckinley/e6launchengine_s_red
{
	qer_editorimage textures/q3mckinley/e6launchengine_red.tga
	q3map_lightimage textures/q3mckinley/e6launchengine_glow_red.tga
	q3map_surfacelight 400
	surfaceparm nomarks

	{
		map textures/q3mckinley/e6launchengine_red.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/q3mckinley/e6launchengine_glow_red.tga
		blendfunc add
		rgbgen wave sin .5 .8 0 1.5
	}
	{
		clampmap textures/q3mckinley/e6launchengine_fx_red.tga
		blendfunc add
		tcMod stretch sin 1.2 .9 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/q3mckinley/eoclogo
{
    qer_editorimage textures/q3mckinley/eoc.tga
    tesssize 32
    deformVertexes wave 10 sin 0 3 0 .5  
    cull disable
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm trans	
    surfaceparm alphashadow    
    {
             clampmap textures/q3mckinley/eoc.tga
             alphaFunc GE128
             tcMod stretch sin .8 0.10 0 .07
	     depthWrite	
     }
}


textures/evil6_floors/e6launchcfloor_s
{
	qer_editorimage textures/evil6_floors/e6launchcfloor.tga
	q3map_lightimage textures/evil6_floors/e6launchcfloor_glow.tga
	q3map_surfacelight 400
	surfaceparm nomarks

	{
		map textures/evil6_floors/e6launchcfloor.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/evil6_floors/e6launchcfloor_glow.tga
		blendfunc add
		rgbgen wave sin .5 .8 0 1.5
	}
	{
		clampmap textures/evil6_floors/e6launchcfloor_fx.tga
		blendfunc add
		tcMod stretch sin 1.2 .9 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/q3mckinley/circle_shader
////////////////////////////////////
//Not used in McKinley's Vengeance//
////////////////////////////////////
{
	qer_editorimage textures/q3mckinley/circle.tga
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	surfaceparm nomarks

	{
		map textures/q3mckinley/circle.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .9 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}
